package com.module.backstage.fragment.param

import androidx.fragment.app.viewModels
import com.module.backstage.databinding.BackstageFragmentSteamParamBinding
import com.module.backstage.vm.SteamParamFragmentVM
import com.quyunshuo.androidbaseframemvvm.common.ui.BaseFragment
import dagger.hilt.android.AndroidEntryPoint

/**
 * 蒸气设置Fragment
 *
 * @author Qu Yunshuo
 * @since 2021/8/1 11:46 下午
 */
@AndroidEntryPoint
class SteamParamFragment : BaseFragment<BackstageFragmentSteamParamBinding, SteamParamFragmentVM>() {


    override val mViewModel: SteamParamFragmentVM by viewModels()
    override fun createVB() = BackstageFragmentSteamParamBinding.inflate(layoutInflater)


    override fun BackstageFragmentSteamParamBinding.initView() {

    }

    override fun initObserve() {
    }

    override fun initRequestData() {
        mViewModel.getBanners()
        mViewModel.getArticleData()
    }

}